Bug 246953 - devel/jsoncpp: Update to 1.9.3
Summary: devel/jsoncpp: Update to 1.9.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-03 09:58 UTC by daniel.engberg.lists
Modified: 2020-06-30 02:16 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (yuri)


Attachments
Patch for jsoncpp (1.92 KB, patch)
2020-06-03 09:58 UTC, daniel.engberg.lists
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.engberg.lists 2020-06-03 09:58:14 UTC
Created attachment 215187 [details]
Patch for jsoncpp

Update jsoncpp to 1.9.3
Add support for "make test"

Tested on FreeBSD 13.0-CURRENT r361421 amd64 (make test)
Poudriere testport OK 12.1-RELEASE (amd64)
Comment 1 daniel.engberg.lists 2020-06-14 21:36:21 UTC
Friendly ping
Comment 2 Yuri Victorovich freebsd_committer 2020-06-14 22:27:24 UTC
Hi Daniel,

Thanks for the patch.

Were you able to rebuild all dependencies of jsoncpp with this patch?


Yuri
Comment 3 daniel.engberg.lists 2020-06-15 08:54:01 UTC
No, my buildbox can't handle all deps but cmake, opendht and domoticz is fine at least.
Comment 4 daniel.engberg.lists 2020-06-29 12:42:01 UTC
Friendly ping
Comment 5 Yuri Victorovich freebsd_committer 2020-06-30 02:16:15 UTC
Committed, thanks!
Comment 6 commit-hook freebsd_committer 2020-06-30 02:16:34 UTC
A commit references this bug:

Author: yuri
Date: Tue Jun 30 02:16:11 UTC 2020
New revision: 540853
URL: https://svnweb.freebsd.org/changeset/ports/540853

Log:
  devel/jsoncpp: Update 1.9.2 -> 1.9.3

  Add support for "make test".

  PR:		246953
  Submitted by:	daniel.engberg.lists@pyret.net

Changes:
  head/devel/jsoncpp/Makefile
  head/devel/jsoncpp/distinfo
  head/devel/jsoncpp/pkg-plist